Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 06-10-04, 09:57 AM   #1
zx_sa
Registered User
 
zx_sa's Avatar
 
Join Date: Jun 2004
Location: Stellenbosch
Posts: 10
Default Need help: SuSE 9.1 & FX5700LE (WinFast A360LETD)

I've used YOU to download and install the nvidia driver and then rebooted to runlevel 3 and ran SaX2 -m 0=nvidia. X starts up and runs fine, but I don't have any hardware acceleration at all. glxgears still run at roughly 300fps as before adding the videocard.

My XF86Config and XFree86.0.log is attached.

Other important info:

LeadTek WinFast A360 LE TD (GeForce FX 5700 LE)
Driver Version: 5336
Distro: SuSE 9.1 (kernel: 2.6.4-54.5-smp)
Couldn't find the video BIOS version (I don't have /proc/driver/nvidia/cards/0)
CPU: Intel P4 3.0GB with Hyperthreading
M/B: Intel D865GBF

What should I do to get the acceleration running?

Thanks,
ZX_SA
Attached Files
File Type: txt XF86Config.txt (4.9 KB, 124 views)
File Type: txt XFree86.0.log.txt (37.0 KB, 108 views)
zx_sa is offline   Reply With Quote
Old 06-10-04, 10:24 AM   #2
SuLinUX
 
SuLinUX's Avatar
 
Join Date: Sep 2003
Location: UK
Posts: 847
Default Re: Need help: SuSE 9.1 & FX5700LE (WinFast A360LETD)

Try a manual install of the nvidia driver, the package should be in /usr/share/doc/nvidia or download it from nvidia.com into you ~/ directory. Make sure your kernel source is installed(Pro version will have it in YaST) run the sh NVIDIA-Linux-x86-1.0-5336-pkg1.run in init 3, then just do sax2 -m 0=nvidia.
__________________
AthlonXP 2600+ / nForce2 Asus A7N8X-X / PNY GeForce FX5900 Ultra / 1024Mb Samsung Ram /nForce Sound / Hansol 920D Plus 19" monitor / Lite-On 32x12x40 / 2x Maxtor HD 40Gb/80Gb / nVidia 7174 driver / Gnome 2.10.1 / Kernel 2.6.11.9 / Slackware 10.0
SuLinUX is offline   Reply With Quote
Old 06-11-04, 01:41 AM   #3
zx_sa
Registered User
 
zx_sa's Avatar
 
Join Date: Jun 2004
Location: Stellenbosch
Posts: 10
Default Re: Need help: SuSE 9.1 & FX5700LE (WinFast A360LETD)

It seems that I've placed too much trust in YaST. When I tried the installation manually, the source code didn't compile (there is no precompiled code for my system).

Basically I first get a bunch of warnings in nv.c: "warning: use of cast expressions as lvalues is deprecated"

But then there also is a bunch of errors. It seems that nv.c and nv.h have conflicting declarations. What's up with that? Do I need to set some compiler flags or something?

I'm attaching the nvidia-installer log which shows the actual compilation errors.
Attached Files
File Type: txt nvidia-installer.log.txt (9.2 KB, 107 views)
zx_sa is offline   Reply With Quote
Old 06-11-04, 03:00 AM   #4
zx_sa
Registered User
 
zx_sa's Avatar
 
Join Date: Jun 2004
Location: Stellenbosch
Posts: 10
Default Re: Need help: SuSE 9.1 & FX5700LE (WinFast A360LETD)

I've read on an IRC archive someone linked my problem to the kernel's "Use Register Arguments" config property. Mine is enabled. According to the help message that option may break binary-only modules. Should I disable the option?
zx_sa is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 07:40 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.